Foreman - Bug #14286

GET/POST/PUT /api/v2/auth_source_ldaps/ do not return 'groups_base’ attribute
03/20/2016 08:56 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: API
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1318629 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3349
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1318629
++ This bug was initially created as a clone of Bug #1318325 ++

Description of problem:
auth_source_ldaps have 'groups_base' attribute, value of which is not returned by any of POST/GET/PUT request in sat6.2.

Version-Release number of selected component (if applicable):
Satellite 6.2.0 Compose 3

How reproducible:
100%

Steps to Reproduce:

1. Issue HTTP POST request to https://sat.example.com/api/v2/auth_source_ldaps with 'groups_base' attribute set to some value
(e.g. 'CN=foobargroup,DC=fortellolabs,DC=org").

2. Capture the response. Examine the JSON payload and discover that the "groups_base" attribute is not mentioned.

3. Issue HTTP GET and HTTP PUT requests to previously created auth_source_ldap. Check the "groups_base" attribute presence.

Actual results:
'groups_base' attribute is absent in GET/POST/PUT responses.

Expected results:
'groups_base' attribute is present and has correct value.

Additional info:
Similar to #1318325

Related issues:
Has duplicate Foreman - Bug #9696: LDAP auth source base DN and password miss... Duplicate 03/10/2015

Associated revisions

Revision 6aa12560 - 03/21/2016 04:24 AM - Shimon Shtein
Fixes #14286 - added :groups_base field to auth_source_ldaps API

Revision e3c61b68 - 04/18/2016 01:45 PM - Shimon Shtein
Fixes #14286 - added :groups_base field to auth_source_ldaps API

(cherry picked from commit 6aa12560df8df0246b1a93801655bad0954e880d)

History

#1 - 03/20/2016 09:26 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3349 added
https://bugzilla.redhat.com/show_bug.cgi?id=1318629
https://sat.example.com/api/v2/auth_source_ldaps

#2 - 03/21/2016 05:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 6aa12560d{8df0246b1a93801655bad0954e880d.

#3 - 03/21/2016 09:37 AM - Dominic Cleal
- Category set to API

- translation missing: en.field_release set to 141

#4 - 03/21/2016 09:38 AM - Dominic Cleal
- Has duplicate Bug #9696: LDAP auth source base DN and password missing from APl responses added
